## Updates an event `client.cloudforceOne.threatEvents.edit(stringeventId, ThreatEventEditParamsparams, RequestOptionsoptions?): ThreatEventEditResponse` **patch** `/accounts/{account_id}/cloudforce-one/events/{event_id}` Updates an event ### Parameters - `eventId: string` Event UUID. - `params: ThreatEventEditParams` - `account_id: string` Path param: Account ID. - `datasetId: string` Body param: Dataset ID containing the event to update. - `attacker?: string | null` Body param - `attackerCountry?: string` Body param - `category?: string` Body param - `createdAt?: string` Body param - `date?: string` Body param - `event?: string` Body param - `indicator?: string` Body param - `indicatorType?: string` Body param - `insight?: string` Body param - `raw?: Raw` Body param - `data?: Record | null` - `source?: string` - `tlp?: string` - `targetCountry?: string` Body param - `targetIndustry?: string` Body param - `tlp?: string` Body param ### Returns - `ThreatEventEditResponse` - `attacker: string` - `attackerCountry: string` - `category: string` - `datasetId: string` - `date: string` - `event: string` - `hasChildren: boolean` - `indicator: string` - `indicatorType: string` - `indicatorTypeId: number` - `killChain: number` - `mitreAttack: Array` - `mitreCapec: Array` - `numReferenced: number` - `numReferences: number` - `rawId: string` - `referenced: Array` - `referencedIds: Array` - `references: Array` - `referencesIds: Array` - `tags: Array` - `targetCountry: string` - `targetIndustry: string` - `tlp: string` - `uuid: string` - `insight?: string` - `releasabilityId?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.cloudforceOne.threatEvents.edit('event_id', { account_id: 'account_id', datasetId: '9b769969-a211-466c-8ac3-cb91266a066a', }); console.log(response.uuid); ``` #### Response ```json { "attacker": "Flying Yeti", "attackerCountry": "CN", "category": "Domain Resolution", "datasetId": "dataset-example-id", "date": "2022-04-01T00:00:00Z", "event": "An attacker registered the domain domain.com", "hasChildren": true, "indicator": "domain.com", "indicatorType": "domain", "indicatorTypeId": 5, "killChain": 0, "mitreAttack": [ " " ], "mitreCapec": [ " " ], "numReferenced": 0, "numReferences": 0, "rawId": "453gw34w3", "referenced": [ " " ], "referencedIds": [ 0 ], "references": [ " " ], "referencesIds": [ 0 ], "tags": [ "malware" ], "targetCountry": "US", "targetIndustry": "Agriculture", "tlp": "amber", "uuid": "12345678-1234-1234-1234-1234567890ab", "insight": "insight", "releasabilityId": "releasabilityId" } ```